Subject: Spice to IBIS Conversion

From: [email-masked]
Date: Fri, 25 Oct 96 17:42:27 EDT

Hello Everyone:

This is for those who are interested in the Spice to 
IBIS conversion program, S2IBIS2. 

I have observed the following difficulty in generating 
the V/I curve for an I/O pin.  To generate a pull-up or 
pull-down curve for an I/O pin when enabled, s2ibis2 
creates a voltage source at the enable pin in the .spi 
file (say putx.spi for pull-up, typical and pin x as an 
example) to make sure that the output is active.  That 
was done correctly.  However, when comes to generate the 
pull-up of pull-down curves under disabled condition, no 
active voltage source is created in the .spi file (it 
will be dutx.spi or ddtx.spi in this case).  Anyone who 
has tried the tryme.s2i can look at the following two 
files, put8.spi and ddt8.spi.  In put8.spi, a voltage 
source, 'venas2i 61 0 dc 0' was generated to enable the 
output.  But in dut8.spi, node 61 is left floating.  
I tried to correct the problem by connecting a large 
resistor from the enable pin to VDD in the .sp file (the 
spice source file) to make that pin defaults to high.  
It fixed this situation but run into problem in other 
cases.     

Any feedback or comments from anyone would be very much 
appreciated.

Jeff Chu
Digital Equipment Corp.
77 Reed Road
Hudson, MA
01749
(508)568-4197
(508)568-5195  fax
email [email-masked]